wayland::server::zwp_pointer_gestures_v1_t(3)

NAME
wayland::server::zwp_pointer_gestures_v1_t - touchpad gestures

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void(zwp_pointer_gesture_swipe_v1_t, pointer_t)> & on_get_swipe_gesture ()
get swipe gesture
std::function< void(zwp_pointer_gesture_pinch_v1_t, pointer_t)> & on_get_pinch_gesture ()
get pinch gesture
std::function< void()> & on_release ()
destroy the pointer gesture object
std::function< void(zwp_pointer_gesture_hold_v1_t, pointer_t)> & on_get_hold_gesture ()
get hold gesture
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

touchpad gestures

A global interface to provide semantic touchpad gestures for a given pointer.

Three gestures are currently supported: swipe, pinch, and hold. Pinch and swipe gestures follow a three-stage cycle: begin, update, end, hold gestures follow a two-stage cycle: begin and end. All gestures are identified by a unique id.

Warning! The protocol described in this file is experimental and backward incompatible changes may be made. Backward compatible changes may be added together with the corresponding interface version bump. Backward incompatible changes are done by bumping the version number in the protocol and interface names and resetting the interface version. Once the protocol is to be declared stable, the 'z' prefix and the version number in the protocol and interface names are removed and the interface version number is reset.

Definition at line 3112 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void(zwp_pointer_gesture_hold_v1_t, pointer_t)> & zwp_pointer_gestures_v1_t::on_get_hold_gesture ()

get hold gesture

Parameters
    id
    pointer

Create a hold gesture object. See the wl_pointer_gesture_hold interface for details.

Definition at line 5571 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_pointer_gesture_pinch_v1_t, pointer_t)> & zwp_pointer_gestures_v1_t::on_get_pinch_gesture ()

get pinch gesture

Parameters
    id
    pointer

Create a pinch gesture object. See the wl_pointer_gesture_pinch interface for details.

Definition at line 5559 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_pointer_gesture_swipe_v1_t, pointer_t)> & zwp_pointer_gestures_v1_t::on_get_swipe_gesture ()

get swipe gesture

Parameters
    id
    pointer

Create a swipe gesture object. See the wl_pointer_gesture_swipe interface for details.

Definition at line 5553 of file wayland-server-protocol-unstable.cpp.

  std::function< void()> & zwp_pointer_gestures_v1_t::on_release ()

destroy the pointer gesture object Destroy the pointer gesture object. Swipe, pinch and hold objects created via this gesture object remain valid.

Definition at line 5565 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.